Open MCP Portaldocs
ReferenceAutomation tokens

Create a platform-admin token (platform admins, browser session only); the secret is shown once

POST
/v1/admin/automation-tokens

Prefix ompadm_. Scopes platform:read and/or platform:write (write includes read). expiresInDays 1-365, default 90: tokens always expire. 400 invalid_name, invalid_scopes, invalid_expiry. 409 too_many_tokens (at most 20 active platform tokens). Tokens authenticate with Authorization: Bearer on /v1/* only (never /mcp) and are managed here in a browser session only: a token that calls this operation gets 403 session_required.

Request Body

application/json
  1. body
name*string
Length1 <= length <= 100
scopes*array<>

Only the scopes of the token's kind (platform:* for platform tokens, servers:* for team tokens); 400 invalid_scopes otherwise

Items1 <= items <= 2
expiresInDays?integer

Tokens always expire

Formatint32
Range1 <= value <= 365
Default90

Response Body

Created; the secret is shown only now

application/json
  1. response
data*
curl -X POST 'https://mcp.example.com/v1/admin/automation-tokens' \  -H 'Content-Type: application/json' \  -d '{  "name": "CI publisher",  "scopes": [    "platform:read"  ]}'
{  "data": {    "token": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "kind": "platform_admin",      "name": "string",      "prefix": "string",      "scopes": [        "platform:read"      ],      "status": "active",      "team": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "slug": "string",        "name": "string"      },      "createdAt": "2019-08-24T14:15:22Z",      "createdByName": "string",      "expiresAt": "2019-08-24T14:15:22Z",      "lastUsedAt": "2019-08-24T14:15:22Z",      "revokedAt": "2019-08-24T14:15:22Z",      "blockedReason": "creator_not_platform_admin"    },    "secret": "string"  }}